Last Login Time
curl --request GET \
--url https://api.gcore.com/iam/activity_log/logins \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/activity_log/logins"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/activity_log/logins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"result": [
{
"id": 123456,
"login_at": "2024-11-13T15:23:30Z",
"ip_address": "192.168.1.1",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/118.0.5993.88 Safari/537.36",
"is_successful": true,
"auth_type": "OAUTH",
"user": 123456
}
],
"next": "/activity_log/logins?offset=20&limit=10",
"previous": "/activity_log/logins?offset=10&limit=10"
}{
"errors": {}
}Account
Last Login Time
Information about the account’s last login time.
GET
/
iam
/
activity_log
/
logins
Last Login Time
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
The maximum number of items.
Offset relative to the beginning of list.
Was this page helpful?
⌘I